Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.jmx.mbeans
Interface TaskRuntimeMBean

    public interface TaskRuntimeMBean

`TaskRuntimeMBean` provides the ability to expose Task information's attributes and operations.

Method Summary
`TaskInfo[]` | `getAllFailedTaskInfos()` Gets all Failed `TaskInfo`s
`TaskInfo[]` | `getAllFinishedTaskInfos()` Gets all Completed Tasks information.
`TaskInfo[]` | `getAllRunningTaskInfos()` Gets all Running Tasks information.
`TaskInfo[]` | `getAllWaitingTaskInfos()` Gets all Waiting Tasks information.
`TaskInfo[]` | `getFailedTaskInfosByUser(java.lang.String userName)` Gets all Failed `TaskInfo`s submitted by the specified user.
`TaskInfo[]` | `getFinishedTaskInfosByUser(java.lang.String userName)` Gets all Completed Tasks information according to the specified User.
`TaskInfo[]` | `getRunningTaskInfosByUser(java.lang.String userName)` Gets all Running Tasks information according to the specified User.
`TaskInfo[]` | `getWaitingTaskInfosByUser(java.lang.String userName)` Gets all Waiting Tasks information according to the specified User.
`void` | `stopTask(java.lang.String taskID)` Stops a task by its Task ID.

Method Detail

### getAllRunningTaskInfos

    TaskInfo[] getAllRunningTaskInfos()

  Gets all Running Tasks information.

  Returns:
    all Running Tasks information.

### getRunningTaskInfosByUser

    TaskInfo[] getRunningTaskInfosByUser(java.lang.String userName)

  Gets all Running Tasks information according to the specified User.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Running Tasks information according to the specified User.

### getAllWaitingTaskInfos

    TaskInfo[] getAllWaitingTaskInfos()

  Gets all Waiting Tasks information.

  Returns:
    all Waiting Tasks information.

### getWaitingTaskInfosByUser

    TaskInfo[] getWaitingTaskInfosByUser(java.lang.String userName)

  Gets all Waiting Tasks information according to the specified User.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Waiting Tasks information according to the specified User.

### getAllFinishedTaskInfos

    TaskInfo[] getAllFinishedTaskInfos()

  Gets all Completed Tasks information.

  Returns:
    all Completed Tasks information.

### getFinishedTaskInfosByUser

    TaskInfo[] getFinishedTaskInfosByUser(java.lang.String userName)

  Gets all Completed Tasks information according to the specified User.

  Parameters:
    `userName,` - the specified User Name.
  Returns:
    all Completed Tasks information according to the specified User.

### getAllFailedTaskInfos

    TaskInfo[] getAllFailedTaskInfos()

  Gets all Failed `TaskInfo`s

  Returns:
    all Failed `TaskInfo`s

### getFailedTaskInfosByUser

    TaskInfo[] getFailedTaskInfosByUser(java.lang.String userName)

  Gets all Failed `TaskInfo`s submitted by the specified user.

  Returns:
    all Failed `TaskInfo`s submitted by the specified user.

### stopTask

    void stopTask(java.lang.String taskID)

  Stops a task by its Task ID.

  Parameters:
    `taskID,` - the task's ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD